## Property

scores

## Method

push(correct, predicted)

## new ClassificationScore(yTrue, yPred)

For evaluating provided categories from binary? classifiers.

### Parameters

Name | Type | Optional | Description
--- | --- | --- | ---
yTrue | (Array of number or module:la.Vector) |  | Ground truth (correct) lable(s).
yPred | (Array of number or module:la.Vector) |  | Predicted (estimated) lable(s).

## Property

### scores

Returns `Object` containing different classification measures.

Returns

  `Object`B scores - Object with different classification socres.

  `number`B scores.count - Count.

  `number`B scores.TP - Number of true positives.

  `number`B scores.TN - Number of true negative.

  `number`B scores.FP - Number of false positives.

  `number`B scores.FN - Number of false positives.

  `number`B scores.all - Number of all results.

  `number`B scores.accuracy - Accuracy score. Formula: `(tp + tn) / (tp + fp + fn + tn)`.

  `number`B scores.precision - Precision score. Formula: `tp / (tp + fp)`.

  `number`B scores.recall - Recall score. Formula: `tp / (tp + fn)`.

  `number`B scores.f1 - F1 score. Formula: `2 * (precision * recall) / (precision + recall)`.

## Method

### push(correct, predicted)

Adds prediction to the current statistics. Labels can be either integers. or integer array (when there are zero or more then one lables).

#### Parameters

Name | Type | Optional | Description
--- | --- | --- | ---
correct | number |  | Correct lable.
predicted | number |  | Predicted lable.